
package cz.moneta.test.dsl.cebia.iva;

import java.util.ArrayList;
import java.util.Collection;
import java.util.List;
import jakarta.xml.bind.annotation.XmlAccessType;
import jakarta.xml.bind.annotation.XmlAccessorType;
import jakarta.xml.bind.annotation.XmlElement;
import jakarta.xml.bind.annotation.XmlType;


/**
 * <p>Java class for ArrayOfWSVehicleType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="ArrayOfWSVehicleType"&gt;
 *   &lt;complexContent&gt;
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
 *       &lt;sequence&gt;
 *         &lt;element name="WSVehicleType" type="{http://samo.cz/iva/}WSVehicleType" maxOccurs="unbounded" minOccurs="0"/&gt;
 *       &lt;/sequence&gt;
 *     &lt;/restriction&gt;
 *   &lt;/complexContent&gt;
 * &lt;/complexType&gt;
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "ArrayOfWSVehicleType", propOrder = {
    "wsVehicleType"
})
public class ArrayOfWSVehicleType {

    @XmlElement(name = "WSVehicleType", nillable = true)
    protected List<WSVehicleType> wsVehicleType;

    /**
     * Gets the value of the wsVehicleType property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the wsVehicleType property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getWSVehicleType().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link WSVehicleType }
     * 
     * 
     */
    public List<WSVehicleType> getWSVehicleType() {
        if (wsVehicleType == null) {
            wsVehicleType = new ArrayList<WSVehicleType>();
        }
        return this.wsVehicleType;
    }

    public ArrayOfWSVehicleType withWSVehicleType(WSVehicleType... values) {
        if (values!= null) {
            for (WSVehicleType value: values) {
                getWSVehicleType().add(value);
            }
        }
        return this;
    }

    public ArrayOfWSVehicleType withWSVehicleType(Collection<WSVehicleType> values) {
        if (values!= null) {
            getWSVehicleType().addAll(values);
        }
        return this;
    }

}
